org.apache.olingo.commons.api.edm.provider

## Class CsdlStructuralType

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.CsdlStructuralType

- All Implemented Interfaces:
    CsdlAnnotatable, CsdlNamed
  Direct Known Subclasses:
    CsdlComplexType, CsdlEntityType

      public abstract class CsdlStructuralType
      extends CsdlAbstractEdmItem
      implements CsdlNamed, CsdlAnnotatable

  The type Csdl structural type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<CsdlAnnotation>` | `annotations` The Annotations.
    `protected FullQualifiedName` | `baseType` The Base type.
    `protected boolean` | `isAbstract` The Is abstract.
    `protected boolean` | `isOpenType` The Is open type.
    `protected String` | `name` The Name.
    `protected List<CsdlNavigationProperty>` | `navigationProperties` The Navigation properties.
    `protected List<CsdlProperty>` | `properties` The Properties.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlStructuralType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `String` | `getBaseType()` Gets base type.
    `FullQualifiedName` | `getBaseTypeFQN()` Gets base type fQN.
    `String` | `getName()` Gets name.
    `List<CsdlNavigationProperty>` | `getNavigationProperties()` Gets navigation properties.
    `CsdlNavigationProperty` | `getNavigationProperty(String name)` Gets navigation property.
    `List<CsdlProperty>` | `getProperties()` Gets properties.
    `CsdlProperty` | `getProperty(String name)` Gets property.
    `boolean` | `isAbstract()` Is abstract.
    `boolean` | `isOpenType()` Is open type.
    `CsdlStructuralType` | `setAbstract(boolean isAbstract)` Sets abstract.
    `CsdlStructuralType` | `setAnnotations(List<CsdlAnnotation> annotations)` Sets a list of annotations
    `CsdlStructuralType` | `setBaseType(FullQualifiedName baseType)` Sets base type.
    `CsdlStructuralType` | `setBaseType(String baseType)` Sets base type.
    `CsdlStructuralType` | `setName(String name)` Sets name.
    `CsdlStructuralType` | `setNavigationProperties(List<CsdlNavigationProperty> navigationProperties)` Sets navigation properties.
    `CsdlStructuralType` | `setOpenType(boolean isOpenType)` Sets open type.
    `CsdlStructuralType` | `setProperties(List<CsdlProperty> properties)` Sets properties.

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected String name

      The Name.

    - #### isOpenType

          protected boolean isOpenType

      The Is open type.

    - #### baseType

          protected FullQualifiedName baseType

      The Base type.

    - #### isAbstract

          protected boolean isAbstract

      The Is abstract.

    - #### properties

          protected List<CsdlProperty> properties

      The Properties.

    - #### navigationProperties

          protected List<CsdlNavigationProperty> navigationProperties

      The Navigation properties.

    - #### annotations

          protected List<CsdlAnnotation> annotations

      The Annotations.

  - ### Constructor Detail

    - #### CsdlStructuralType

          public CsdlStructuralType()

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `CsdlNamed`
      Gets name.
      Specified by:
        `getName` in interface `CsdlNamed`
      Returns:
        the name

    - #### setName

          public CsdlStructuralType setName(String name)

      Sets name.
      Parameters:
        `name` - the name
      Returns:
        the name

    - #### isOpenType

          public boolean isOpenType()

      Is open type.
      Returns:
        the boolean

    - #### setOpenType

          public CsdlStructuralType setOpenType(boolean isOpenType)

      Sets open type.
      Parameters:
        `isOpenType` - the is open type
      Returns:
        the open type

    - #### getBaseType

          public String getBaseType()

      Gets base type.
      Returns:
        the base type

    - #### getBaseTypeFQN

          public FullQualifiedName getBaseTypeFQN()

      Gets base type fQN.
      Returns:
        the base type fQN

    - #### setBaseType

          public CsdlStructuralType setBaseType(String baseType)

      Sets base type.
      Parameters:
        `baseType` - the base type
      Returns:
        the base type

    - #### setBaseType

          public CsdlStructuralType setBaseType(FullQualifiedName baseType)

      Sets base type.
      Parameters:
        `baseType` - the base type
      Returns:
        the base type

    - #### isAbstract

          public boolean isAbstract()

      Is abstract.
      Returns:
        the boolean

    - #### setAbstract

          public CsdlStructuralType setAbstract(boolean isAbstract)

      Sets abstract.
      Parameters:
        `isAbstract` - the is abstract
      Returns:
        the abstract

    - #### getProperties

          public List<CsdlProperty> getProperties()

      Gets properties.
      Returns:
        the properties

    - #### getProperty

          public CsdlProperty getProperty(String name)

      Gets property.
      Parameters:
        `name` - the name
      Returns:
        the property

    - #### setProperties

          public CsdlStructuralType setProperties(List<CsdlProperty> properties)

      Sets properties.
      Parameters:
        `properties` - the properties
      Returns:
        the properties

    - #### getNavigationProperties

          public List<CsdlNavigationProperty> getNavigationProperties()

      Gets navigation properties.
      Returns:
        the navigation properties

    - #### getNavigationProperty

          public CsdlNavigationProperty getNavigationProperty(String name)

      Gets navigation property.
      Parameters:
        `name` - the name
      Returns:
        the navigation property

    - #### setNavigationProperties

          public CsdlStructuralType setNavigationProperties(List<CsdlNavigationProperty> navigationProperties)

      Sets navigation properties.
      Parameters:
        `navigationProperties` - the navigation properties
      Returns:
        the navigation properties

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlStructuralType setAnnotations(List<CsdlAnnotation> annotations)

      Sets a list of annotations
      Parameters:
        `annotations` - list of annotations
      Returns:
        this instance

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.